Zum Hauptinhalt springen
DELETE
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
/
{note_id}
Organisationsweite Notiz löschen
curl --request DELETE \
  --url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Berechtigungen

Erfordert einen Servicebenutzer mit der Berechtigung ManageAccountKnowledge für die angegebene Organisation.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

note_id
string
erforderlich

Knowledge-Hinweis-ID (Präfix: note-)

Beispiel:

"note-abc123def456"

org_id
string
erforderlich

Organisations-ID (Präfix: org-)

Beispiel:

"org-abc123def456"

Antwort

Erfolgreiche Antwort

access_type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org
body
string
erforderlich
created_at
integer
erforderlich
folder_id
string | null
erforderlich
folder_path
string
erforderlich
is_enabled
boolean
erforderlich
macro
string | null
erforderlich
name
string
erforderlich
note_id
string
erforderlich
org_id
string | null
erforderlich
pinned_repo
string | null
erforderlich
trigger
string
erforderlich
updated_at
integer
erforderlich